# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewAmbientLight

Function

Creates a light Object representing an ambient light source.

Syntax
`
#include <dx/dx.h>
`

Light DXNewAmbientLight(RGBColor color)

Functional Details

Creates a light Object of the color `color` that produces a constant illumination on all rendered Objects regardless of surface orientation.

An `RGBColor` is defined as follows:
`
typedef struct rgbcolor {
float r, g, b;
} RGBColor;
`

Return Value

Returns the light or returns `NULL` and sets an error code.

See Also

`DXNewDistantLight, DXQueryAmbientLight, DXQueryDistantLight`

16.8 , "Light Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]